Skip to main content
`Ctrl`+`K`

# VecGetLocalToGlobalMapping

Gets the local-to-global numbering set by `VecSetLocalToGlobalMapping()`

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecGetLocalToGlobalMapping(Vec X, ISLocalToGlobalMapping *mapping)

Not Collective

## Input Parameter

- X - the vector

## Output Parameter

- mapping - the mapping

## See Also

Vectors and Parallel Data, `Vec`, `VecSetValuesLocal()`, `VecSetLocalToGlobalMapping()`

## Level

advanced

## Location

src/vec/vec/interface/vector.c

## Examples

src/vec/vec/tutorials/ex9.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages